paso::SystemMatrixPattern Struct Reference

`#include <SystemMatrixPattern.h>`

Inheritance diagram for paso::SystemMatrixPattern:

## Public Member Functions

| SystemMatrixPattern (int type, escript::Distribution_ptr output_distribution, escript::Distribution_ptr input_distribution, Pattern_ptr mainPattern, Pattern_ptr col_couplePattern, Pattern_ptr row_couplePattern, Connector_ptr col_connector, Connector_ptr row_connector)
| ~SystemMatrixPattern ()
index_t | getNumOutput () const
SystemMatrixPattern_ptr | unrollBlocks (int type, dim_t output_block_size, dim_t input_block_size)

## Public Attributes

int | type
escript::JMPI | mpi_info
Pattern_ptr | mainPattern
Pattern_ptr | col_couplePattern
Pattern_ptr | row_couplePattern
Connector_ptr | col_connector
Connector_ptr | row_connector
escript::Distribution_ptr | output_distribution
escript::Distribution_ptr | input_distribution

## Constructor & Destructor Documentation

## SystemMatrixPattern()

paso::SystemMatrixPattern::SystemMatrixPattern | ( | int | type,
|  | escript::Distribution_ptr | output_distribution,
|  | escript::Distribution_ptr | input_distribution,
|  | Pattern_ptr | mainPattern,
|  | Pattern_ptr | col_couplePattern,
|  | Pattern_ptr | row_couplePattern,
|  | Connector_ptr | col_connector,
|  | Connector_ptr | row_connector
| ) |  |

References escript::checkResult(), mpi_info, and escript::shipString().

Referenced by unrollBlocks().

## ~SystemMatrixPattern()

paso::SystemMatrixPattern::~SystemMatrixPattern | ( |  | ) |

inline

## Member Function Documentation

## getNumOutput()

index_t paso::SystemMatrixPattern::getNumOutput | ( |  | ) | const

inline

References unrollBlocks().

## unrollBlocks()

SystemMatrixPattern_ptr paso::SystemMatrixPattern::unrollBlocks | ( | int | type,
|  | dim_t | output_block_size,
|  | dim_t | input_block_size
| ) |  |

References col_connector, col_couplePattern, input_distribution, mainPattern, MATRIX_FORMAT_OFFSET1, output_distribution, row_connector, row_couplePattern, SystemMatrixPattern(), and type.

Referenced by getNumOutput().

## Member Data Documentation

## col_connector

Connector_ptr paso::SystemMatrixPattern::col_connector

Referenced by unrollBlocks().

## col_couplePattern

Pattern_ptr paso::SystemMatrixPattern::col_couplePattern

Referenced by unrollBlocks().

## input_distribution

escript::Distribution_ptr paso::SystemMatrixPattern::input_distribution

Referenced by unrollBlocks().

## mainPattern

Pattern_ptr paso::SystemMatrixPattern::mainPattern

Referenced by unrollBlocks().

## mpi_info

escript::JMPI paso::SystemMatrixPattern::mpi_info

Referenced by SystemMatrixPattern().

## output_distribution

escript::Distribution_ptr paso::SystemMatrixPattern::output_distribution

Referenced by unrollBlocks().

## row_connector

Connector_ptr paso::SystemMatrixPattern::row_connector

Referenced by unrollBlocks().

## row_couplePattern

Pattern_ptr paso::SystemMatrixPattern::row_couplePattern

Referenced by unrollBlocks().

## type

int paso::SystemMatrixPattern::type

Referenced by unrollBlocks().

The documentation for this struct was generated from the following files:

- SystemMatrixPattern.h
- SystemMatrixPattern.cpp
- SystemMatrixPattern_unrollBlocks.cpp